hledger-lib-1.3: Core data types, parsers and functionality for the hledger accounting tools

Safe Haskell | None
Language | Haskell2010

Hledger.Reports.BalanceHistoryReport

Description

Account balance history report.

Synopsis

- accountBalanceHistory :: ReportOpts -> Journal -> Account -> [(Day, MixedAmount)]

# Documentation

accountBalanceHistory :: ReportOpts -> Journal -> Account -> [(Day, MixedAmount)] #

Get the historical running inclusive balance of a particular account, from earliest to latest posting date.